---
title: CLRG's Cheating Scandal
date: 2022-10-04
tags: clrg
---

$SPOUSE just stumbled across a PowerPoint file with a bunch of text messages,
pretty clearly illustrating a massive cheating scandal.

I won't post a link to the file,
I won't post any screen shots,
and I won't reveal any names,
because I'm not interested in doxxing people.


Summary
------------

The PowerPoint file consists of text messages between someone who I will call
Sam and a number of CLRG school owners and adjudicators. Sam's messages
illustrate what appears to be a years-long, maybe decades-long, racket in which
adjudicators trade favors in exchange for inflated scores of chosen dancers.
These favors are either reciprocal, or, in one case, sexual.
I see weak evidence of money changing hands.

In addition, it is made clear that a school owner is having an extramarital
affair with Sam.


Technical Analysis
-------------------------

The PowerPoint document going around appears to be a series of screen shots from
the phone of an adjudicator who I will refer to as Sam. Sam appears to have
gone back through chat history, taken a bunch of screen shots, and emailed them
to someone whose name I don't recognize. The text of two emails is included in
the document before the screen shots which must have been attachments.

The icons at the top of the screen shots indicate that Sam has an Android
phone. Android allows you to take screen shots by pressing the power button and
the volume down button at the same time. It's common for people to hit the
volume button before power, which results in the phone turning the volume down
just before the screen shot is taken. You can see evidence of this: the volume
control appears in some of the screen shots. Someone more familiar with mobile
phones could tell you the Android version and phone manufacturer.

The screen shots are of text messages with WhatsApp and Instagram (thanks to my
daughter for figuring this one out). In both apps, Sam is writing the text on
the right side of the screen, and the person Sam is chatting with is on the left
side. That person's name and their profile icon (usually a photo of their head)
can be found at the top of the screen.

The icons make it fairly clear that these messages all came from one phone. The
main apps I see are Twitter, Spotify, something that's just a dot, and another
thing I don't recognize that looks sort of like a stylized four-leafed clover.

There isn't really too much more to analyze here,
from a technical standpoint.

My Take
-----------

I feel compelled to highlight a few observations:

### Sam is a man

Due to the sexual messages,
specifically one where Sam is called a "good boy",
and other clues leading us to Sam's real identity,
my team feels confident that Sam is a man.

### Sam might be creeping on kids

There's a weird message, from Sam, saying "178 is hot". There's no additional
context here, other than that 178 is a U11 girl, which means she is 11 years old
or younger.

It's possible this was just poor phrasing and "178 is on fire" would have been
better.

### Sam is involved in an affair

In the most memorable part of the document,
one school owner and Sam exchange messages outlining an extramarital affair.
It's not clear whether the school owner's spouse is aware of this.
But it is clear that the school owner likes Sam to have his "ass up".

### Sam didn't intend for this to become widespread

While I don't know what his motivation was for taking and sending these screen
shots, I feel sorry for this person. Nothing in this document makes it look like
Sam was trying to publicize what was going on. And there are a few things that
Sam surely regrets sending, such as the affair.

In fact, there are enough clues in these messages that my team is confident they
know Sam's real name. If we're right, Sam definitely would not want any of this
to become public.

### This is old

The earliest message is from July 2016.

### This is deep

In an exchange on slide 5, 6 of the 14 judges at All-Irelands 2019 are
implicated as colluding.

In an exchange on slide 3, it is implied that up to 5 adjudicators are not part
of the racket, or are at least not bribeable by the person who refers to them as
"the panel from hell". Let's be optimistic and assume that all 5 of these
adjudicators are not bribeable.

Taking both of these together, we can guess that 6 to 9 of the adjudicators at
All Irelands 2019 were in on this racket.

There's a lot of math to get into here: accounting for how the overall
rankings are computed may make it possible for two colluding adjudicators (16%
chance) to compromise the entire ranking. But starting out with half the judges
compromised belies severe problems, no matter how you slice it.

### This probably isn't as effective as you might think

Most of these messages are just lists of numbers.
One smart cheater sent a photograph,
which would be easier to remember.
The reality is likely that they don't remember all the numbers with 100% accuracy.
This would result either in fair judging,
or throwing points at the wrong number.

The younger dancers would have the most inaccuracy in cheating.
For the older competitors, the accuracy of cheating goes up,
as the adjudicators grow to recognize dancers.

Another thing that helps fairness is the number of adjudicators. At smaller
events, there are 3 on a panel, so about a 5% chance that everybody is
compromised, if half the judges are bad.
This is why there are more adjudicators at the higher-placing events.

### This could be detected

If anybody ever bothered to do analysis of the scores handed out, it would
be pretty easy to detect the type of cheating that this document seems
to illustrate. That wouldn't stop the cheating, but it would make it harder.

Unfortunately, I don't believe any of the software in use does anything like
this. And I don't think the data is made available in a way that would make
independent audits feasible.

The data exists to be analyzed and audited, but until there's a lot of pressure
to do this, I don't see it happening. And as angry as everyone is about things,
I doubt the result will be auditable data. Doing audits is expensive, and the
people with lots of money have more incentives to use that money to bribe adjudicators.

### These messages are just the tip of the iceberg

Let's do some arithmetic!

Including Sam,
there are 14 people implicated by this document.

We are just reading Sam's messages: presumably everyone involved is messaging
everyone else as well. Mathematicians call this a "complete graph". That means
there are `(14*13)/2 = 91` conversations. Put another way, we are only seeing 15%
of the racket within this group of 14 people

But these appear to mostly be UK people.
If this racket is larger than the UK,
you can expect much, much more has been going on that we have yet to learn about.
And you can bet that it's larger than the UK:
it is difficult to envsion how something like this could stay that regional,
with an organization as international as CLRG.

This doesn't mean your school is involved.
But it probably does mean your school has been affected.


Background
---------------

### CLRG and Competitive Irish Dance

An Coimisiún le Rincí Gaelacha (CLRG) 
is the largest competitive Irish Dance organization in the world.
Their main activity,
as far as I know,
is running competitions, called "Feisanna",
which Americans pronounce like "feshes",
because we can't read Gaelic.

These events are adjudicated by certified judges,
most of whom also own dance schools of their own.
These judges fly out to the events,
sit through 8-12 hours of mostly children dancing around on a stage,
try to write helpful notes in just a few seconds,
assign a score,
and then move on to the next round.

Periodically, the scores are tabulated by volunteers
(mostly dads, from my experience), 
entered into one of a handful of online systems just for Irish Dance competitions,
and awards are presented based on results computed by the systems.
(None of these systems have auditable source code, to my knowledge,
but that's a topic for another article.)


### About Me

I'm a computer security researcher and educator,
specializing in forensic investigation.
That means I show up after the bad thing has happened,
and build a story about what happened based on gathered evidence.
The analysis I'm doing here isn't particularly difficult:
my teenage daughter actually helped me put it together.
But I am coming at this from a history of doing similar things.

My daughter does competitive Irish Dance with CLRG.
She's been dancing for over 12 years now.
My involvement has mostly stayed peripheral:
running sound and electrical at events,
helping with tabulation,
and driving everybody home while they sleep.

I am not a journalist.
I'm really looking forward to reading what gets written about this
by somebody who does investigative journalism for a living.
But that article isn't out yet,
so I wrote this one.
