---
title: Copyright Advice for Small Leagues
section: derby
---

There's enough in common that hacking sometimes feels like roller derby's big
brother, and watching derby struggle with copyright law makes me want
to chime in with some hard-learned advice that computer nerds worked
through in the 90s.

A modern derby bout requires people from all different walks of life
to come together, and so this sport—which began
with a strong punk "skater-run" ethic—has had to bring in creative types
from all sorts of different cultures which don't necessarily share the
same values.  This is causing friction, but I think I know
how to solve it: stick to derby's roots and insist on volunteer work,
even if the professional stuff would look nicer.


Some Background on Copyright
----------------------------

In most parts of the world, when you create something—like a logo,
some software, a blog post, or a web page—you get the right to decide
who is allowed to copy it: the copyright.  In order to use someone
else's work, be it on its own or as a part of your own work,
you need their permission.  Generally speaking, authors will pick one
or both of the following two options:

1. Grant permission if you pay money
2. Grant permission if you agree to certain terms, usually some combination of:
   * Give them credit for their work
   * Not make money from anything your work is in
   * Don't prevent anyone from copying/sharing your work

This has resulted in an observable cultural split. On one side,
you have a [market ecomony](https://en.wikipedia.org/wiki/Market_economy),
in which using someone's work without paying them is bad,
often called "piracy". On the other side, you
have a [gift economy](https://en.wikipedia.org/wiki/Gift_economy),
in which using someone's work is high praise, and creates a
debt to humanity that can only be repayed by
[paying it forward](https://en.wikipedia.org/wiki/Pay_It_Forward).


How This Pertains to Roller Derby
-------------------------------------

To avoid butthurt and drama, your league needs to be aware of
copyright law, and who is reserving which rights on what works.

A few years ago, apparently ASCAP was aggressively bullying Roller
Derby leagues to pay a "performance fee" for having music at their
bouts.  This is shady for a lot of different reasons, none of which
merit getting into in this article, but it serves as an excellent
example of why leagues need to be fully aware of what works they're
using and what the terms are for using those works.  (In a little
while, I'll be offering a bittorrent download of a double-header's
worth of Creative Commons music for leagues to use, allowing you to
cheerfully tell ASCAP to get bent.)

[Look what can happen](http://www.derbyinfocus.com/2012/08/on-value-of-derby-photos.html)
when you get a market economy person in a gift economy situation.  He's
laying out his argument very reasonably, because there's nothing
unreasonable about market economies.  But he's missing the point that
(most) leagues are gift economies.  There's another side to this story:
those leagues are losing their photographer because, suddenly, he's
demanding payment or increased gratitude.  I'll bet those leagues had
a couple really long drawn-out meetings about this:  do the other
volunteers feel this way?  Are we not appreciating our volunteers
enough?  Butthurt!  Drama!

And payment is a Pandora's box.  As a gift economy guy living in a
market economy country, I can tell you that if my league decided to
start paying one volunteer, I would probably adjust my view of
the relationship, and get hacked off that I wasn't valued enough as an
official, DJ, photographer, and software developer, to be paid too.
Or, if I knew the full situation, I'd think that guy was
being a jerk by extorting the poor league.  Butthurt!  Drama!

On the flip side, certain professions—especially photographers—have a
history of being bilked out of fair wages for their work by a stock
set of excuses.  [Experience and
recognition](http://static.happyplace.com/assets/images/2011/10/4e935baa48979.png)
are *not* payment, and weaseling work out of people this way is
dishonest at best.  There are plenty of ways a photographer can get
experience and recognition that don't directly benefit your league.
If you sweet-talk a professional into doing unpaid work, you are
sowing the seeds of butthurt and drama.


What should you do about this?
------------------------------

Small town leagues have no business entering into agreements with any
artists unless the terms of that agreement are spelled out clearly in
advance.  You need to be up front with all of your unpaid artists that you
have no money and expect them to volunteer their time and skill for
the love of the game and the gals who play it.

Acknowledge that your league is a gift economy.  Embrace it!  You have
nothing to give in return other than the community of your league, and
you expect anyone entering that community not to start making demands.
Have another look at [that craigslist ad](http://static.happyplace.com/assets/images/2011/10/4e935baa48979.png),
I think it's on point because he points out "everyone will love you."
Everyone should feel a profound debt to everyone else who helps out.
Beer should be bought.  Invitations to parties should be given.  But
you need your dues—and ticket sales, if you have those—to pay for
things you can't get from volunteers, like insurance, paint, photocopies, and
tape.

Sure, the presentation is going to suffer when you get out-of-focus or
poorly-framed photos, amateurish artwork, and web sites that look like
Geocities in 1997; or maybe you'll luck out and find [a talented artist
who loves the sport](https://secure.flickr.com/photos/nocklebeast/3715669736/).
But the skater-run, non-professional feel of small
town derby is one of its distinguishing characteristics, and makes
fans feel connected to the team.  You want skaters who are doing it
for the love of the game, why not ask the same of your other
volunteers?

You might want create a "volunteer policy" that you share with everyone.
Here's a start, feel free to use this or base something new off it:

> Thank you for offering to help with our league!  Because we have
> a tight budget, we can't afford to spend money on anything that can
> be done by volunteers, even if the quality is less than professional.
> We rely heavily on our volunteers in order to bring the sport to our
> fans, and we are truly grateful to everyone who helps us do so!


Conclusion
----------

People have different ideas about how they want their work to be used.
Some want to be paid.  Some just want credit.  Still others want to
make sure nobody makes money.  Small town leagues usually don't have
the money to pay anybody, so to avoid hurt feelings later on, you need
to be very clear about this right from the start.

Understand that some folks are going to say you're being unreasonable.
But it's better to get a little of this early on, than to deal with the
big drama that will crop up later once it's clear to everybody what
everybody else expects.


---------

* 2012-Sep-18: Added the paragraph about photographers, and a few links
