---
title: Choosing a Roller Derby Helmet
section: derby
---

Last Update: 21 Jan 2014

There is so much conflicting advice about helmets, it's no wonder people are confused about what is actually any good.

There are three kinds of helmets mostly in use by derby skaters, and two more that are gaining popularity:

Hardhats
--------

Look inside the helmet: is there hard foam covering the entire area? If not, it's a hardhat.

The triple-eight brainsaver with sweatsaver lining is a hardhat. It provides a little bit of padding to cushion blows but is not certified to any standards. It is a good thing to have when rock climbing or working a construction site, but is not rated at all against the sort of brain trauma you'd get in a typical fall.

Bike Helmets
----------

Is the foam covering the entire area light gray? Does the certification sticker say "CPSC" only? It's a bike helmet.

Many nutcase and triple eight helmets are bike helmets, certified only to CPSC (Consumer Products Safety Commission) for bicycling, somewhat similar to derby. These use a crushable polystyrene foam, which is meant to absorb impact by destroying the structure of the foam. Once you've fallen with a bike helmet on, you need to replace it immediately, because the material can only absorb the shock once. The advantage is that these are cheap.

(Interesting fact: car seat belts are also designed to absorb shock by stretching the fabric weave, but the stretch is permanent. If you're in a crash, replace your seatbelts before driving again: they won't absorb shock and could break bones, or worse, could snap apart.)

Bike helmets are tested by dropping the helmet straight down one time from a height (6 feet, I think) and measuring how much energy is transferred to the meter inside.


Multi-Impact Helmets
------------------
Look at the foam inside. Is it dark gray, almost black? Does the certification sticker say "CPSC" and "ASTM"? It's a multi-impact helmet.

Multi-impact helmets use a different kind of foam which deforms but doesn't completely crush. In addition to the CPSC test for bicycling, they're also tested against ASTM F-1492-08, a standard for roller skating and trick skateboarding, very similar to derby. It's okay to keep using a multi-impact helmet after falling, but you should still replace it after the event.

Multi-impact helmets are tested by dropping straight down a number of times (four, I think) from a lower height (4 feet, I think) and measuring the amount of energy transferred to the meter inside.


MIPS-lined helmets
---------------

A new technology is making inroads, to add a liner to the helmet and allow the helmet to slip a little bit around. Remember how those tests only test dropping the helmet straight down? It turns out that actual heads on actual people hardly ever hit the ground this way, and this liner is supposed to help with real fall scenarios, where they claim rotational force plays a part in the injury.

Right now MIPS liners are pretty new and pretty expensive. If you have the money, it's probably not going to hurt. But the evidence isn't yet in about whether it actually helps.


Hockey Helmet
-------------
Does the helmet go over your ears? It's a hockey helmet.

Some skaters have moved to hockey helmets. These are tested against ASTM F1045-07 for ice hockey, a little similar to derby. I haven't looked into this standard so I can't comment much on it. But I think it's important to remember that ice hockey has sharpened skate blades and hard pucks occasionally flying through the air, and is played in cold places. My personal opinion is that an ice hockey helmet is not appropriate for roller derby.


Which One Should You Get?
---------------------
You should get a multi-impact helmet certified to CPSC and ASTM F-1492-08.

You should never get a hardhat. Unfortunately, most new skaters buy a package deal that includes a hardhat, starting out with the crappiest helmet they can get at a time when they're most likely to hit their head. I managed, after two years of nagging, to convince my league to recommend new skaters get a multi-impact when they start out, and, surprise, they all do. Maybe other leagues could do this too.

Beyond those two certifications for multi-impact helmets, the rest is entirely up to skater preference. I'm a fan of Nutcase, because they were the first company to popularize non-pretentious bike helmets for commuters, but there are a whole lot of manfacturers, colors, and features to choose from. Rest assured that if they meet these standards, you're getting the same protection, regardless of color, style, or other features.


A Final Note
------------

Humanity is just beginning to understand how the head actually works in
crashes. I wrote this in 2014, updated it in 2015, and we still don't have
reliable data about the MIPS liners.

You'll notice that the tests done on these helmets involve dropping it
straight down. That is hardly ever how people hit their heads, unless
maybe they're diving into an empty pool.

I expect that our current testing standards will eventually prove to be
primitive and laughably unrepresentative of how head injuries occur.
As we get better information about how heads/brains are injured in falls,
we'll get better ways to protect them. For now, the best you can do is
the multi-impact helmets, which aren't too much more sophisticated than
the hardhats they were bred from. But they are an improvement!
Especially in Derby, you are going to be falling a lot. Get the best
brain-protection technology currently available, okay?
