var tartans = {
	"Albuquerque": {
		"sett": "R4 G24 B4 G10 B36 W6 R4 W4",
		"description": "Created by Ralph Stevenson Jr and Charles Hargis in 2005 for the city's tricentennial anniversary (1706-2006).  It is similar in design to the New Mexico tartan, with a little less green, and white instead of yellow, with a thicker center band."
	},
	"Armstrong": {
		"sett": "G4 BK2 G60 BK24 B4 BK2 B2 BK2 B24 R6",
		"description": ""
	},
	"Arizona": {
		"sett": "W2 G3 R4 G28 B3 BR8",
		"description": "Based on a jpeg I found on a geocities homepage.  Surprisingly, that jpeg was the only mention I could find on the net of what the actual sett was for Arizona."
	},
	"Black Watch": {
		"sett": "B22 BK2 B2 BK2 B2 BK16 G16 BK2 G16 BK16 B16 BK2 B2 BK2 G10 BK8 DB9 BK1 DB1",
		"description": "A standard."
	},
	"Buchanan": {
		"sett": "Y8 BK2 Y8 BK2 B6 BK2 G8 B4 G8 BK2 B6 BK2 LR10 W2 LR10 BK2 B6 BK2 .",
		"description": "The period at the end indicates this sett is asymmetrical."
	},
	"California": {
		"sett": "Y8 K2 G20 R4 G20 R8 G20 K32 B56 K2 LB8 K2 B56 K32 G20 R4 G20 K2 Y8",
		"description": "Contributed by the illustrious Sam Phillips"
	},
	"Canadian National \"Maple Leaf\"": {
		"sett": "Y8 DR8 BR8 DG24 R4 DG4 R16 DR16 R16 DG4 R4 DG24.",
		"description": "Another asymmetrical sett: that's what the period at the end means. This is just a quick guess on my part. Makes me think of lumberjacks!"
	},
	"Colorado": {
		"sett": "Y4 R6 (669)34 K40 G4 W6 LV6 W6 G22",
		"description": "Wikipedia lists the sett as [Y/6] R4 MB26 K32 G4 W4 Lv4 W4 [G/44]. I'm not familiar with the [Color/Count] notation, the count appears to be doubled, possibly to indicate the total count of that thread in the mirror section.\n\nColorado house joint resolution 97-1016 makes this official but doesnt provide a thread count.  It speaks of \"cerulean blue\" which I approximate with the unique (669) color."
	},
	"Debian": {
		"sett": "B28 Y4 B28 DR28 BK4 DR28 W4 BK4 W12 R12 W12 BK4 W4 R12 W4 BK4 W4 R12 W4 BK4 W4 BK4 W4 BK4 W12 R12 W4 R12 W4 BK4 W4 BK4 W12 DR28 BK4 DR28.",
		"description": "This thing apparently spells out \"debian\" in morse code. All I know is it's way too busy. But it's cool that they put a message in it. I wonder if I could make a UPC barcode..."
	},
	"The Hacker": {
		"sett": "G1 LG3 G3 K7",
		"description": "Created by pi-rho, an impressive hacker in his own right."
	},
	"New Mexico": {
		"sett": "R4 G24 B4 G16 B36 Y8 R4 Y4",
		"description": "Designed by Ralph Stevenson Jr.  It is similar in design to the Albuquerque tartan."
	},
	"New Mexico Land Of Enchantment": {
		"sett": "LG8 LV32 R4 G32 LG32 Y4 LG4",
		"description": "This isn't official but I think it's pretty.  I just guessed at the sett pattern but I think I got pretty close."
	},
	"Nevada": {
		"sett": "W4 LGR16 B4 LGR8 B8 Y4 B4 R4 B20",
		"description": "Based on a terrible gif that appars to be a part of Nevada Revised Statute 235.130.  Designed by Richard Zygmunt Pawlowski, approved May 8, 2001."
	},
	"Nova Scotia": {
		"sett": "LB1 W1 LB28 B1 G1 B1 G4 B1 G1 B1 G20 DB20 Y1 G1 Y1 R1",
		"description": "Courtesy Felix Crux"
	},
	"Oklahoma": {
		"sett": "R4 W8 LB64 Y6 BK16",
		"description": "Based on a photo on a web page."
	},
	"Oregon": {
		"sett": "Y3 LV10 G4 LV4 G4 W2 G8 LBR24 R4 LB2 K2",
		"description": "Here you go, people of Oregon: your legislature apparently thought the best way to record your tartan was registering it with a private company."
	},
	"Neale's Bedsheet": {
		"sett": "R3 W5 B21 W62 B3 R5 W2 B4 R11 B17 W10 B60 W10 B10 W2 R6 W2 B28 DB10 R2 B23.",
		"description": "This gigantic sett was used in some bedding I got for about $5, which I guess just goes to show that machine-operated looms are capable of doing better tricks for less money than human-operated ones."
	},
	"Neale's PJs": {
		"sett": "W7 C3 GR5 BK3 C5 BK3 C6 GR3 C5",
		"description": "This is an approximation of the pajamas I was wearing when I wrote the tartan designer.  They weren't actually a tartan.  I guess modern weavers feel they ought to show off the fact that they can do fancy tricks with their looms."
	},
	"Neale's PJs II": {
		"sett": "W3 G24 Y2 W2 G2 W2 G2 W1",
		"description": "More of my PJs.  This one is an exact copy, I can count the threads in this fabric."
	},
	"Neale's PJs III": {
		"sett": "BK16 GR28 W3 GR28 LGR16",
		"description": "Another pair of PJs. Why do I keep adding pajamas? It's almost as if I feel like the idea of weaving patterns being a guarded secret is laughable!"
	},
	"Neale's PJs IV": {
		"sett": "R5 (333)12",
		"description": "More pajamas."
	},
	"Neale's PJs V": {
		"sett": "GR8 BK3 W2 BK3 Y2 BK4 LB1 BK8",
		"description": "Yet more pajamas. I'd love it if somebody made a kilt out of this and recorded peoples' reactions at a Scottish festival or something."
	},
	"Shrek": {
		"sett": "LBR4 BR8 G16 R2 G16 BR32",
		"description": "I (Neale) created this based on Shrek's pants in a couple of frame grabs from the movie.  It appears to be different from the recently-released \"Shrek's Tartan\"."
	},
	"Texas Bluebonnet": {
		"sett": "G4 R2 B16 W2 R2 W2 LB16 W2 LB16 W2 Y1",
		"description": "Based off a jpeg at the Texas Scottish Heritage Society.  (Why did they save it as a jpeg?)  The first blue in their image was only 15 threads wide, I figured that was a typographical mistake given every subsequent blue was 16, even in the repeats.  According to the aforementioned web page, it was designed by June Prescott McRoberts, and adopted as the official state tartan on May 25, 1989."
	},
	"Utah": {
		"sett": "W1 B6 R6 B4 R6 G18 R6 W4",
		"description": "Kudos to Utah for putting the sett right into 1996's SB-13.  This is the tartan as specified by law.  The photograph on Utah's Online Library seems to have a final white threadcount of 3."
	},
	"Washington State": {
		"sett": "W3 R6 B36 G72 LB6 BK6 Y2",
		"description": "Adopted 1991 by the spartan RCW 1.20.110."
	},
	"Winchester's Tie": {
		"sett": "R32G8 R32 G8 W1 R1 W1 R1 W1 R1 W1 R1 W1 R1 W1 R1 W1 R1 W1 R1 W1 R1 W1 R1 W1 R1 W1 R1 W1 R1 W1 R1 W1 R1 W1 R1 W8 .",
		"description": "The tie worn by a stuffed animal a high school girlfriend gave me. It's a neat trick that would be a pain in the rear to do by hand."
	}
}
